package com.bonus.material.purchase.service;

import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.common.biz.domain.purchase.PurchaseDto;
import com.bonus.material.purchase.domain.vo.PurchaseVo;

import java.util.List;

/**
 * 新购入库服务层
 * @Author ma_sh
 * @create 2024/10/21 13:53
 */
public interface IPurchaseStorageService {

    /**
     * 查询所有
     * @param dto
     * @return
     */
    List<PurchaseVo> selectAll(PurchaseDto dto);

    /**
     * 查询二级明细
     * @param dto
     * @return
     */
    List<PurchaseVo> getDetails(PurchaseDto dto);

    /**
     * 入库或批量入库
     * @param dto
     * @return
     */
    AjaxResult warehouse(PurchaseDto dto);

    /**
     * 驳回或批量驳回
     * @param dto
     * @return
     */
    AjaxResult reject(PurchaseDto dto);

    /**
     * 查询机具信息
     * @param dto
     * @return
     */
    AjaxResult getMachineById(PurchaseDto dto);

    /**
     * 查询待入库编号机具详情
     * @param dto
     * @return
     */
    AjaxResult getMachineByCode(PurchaseDto dto);
}
